Putty Simontatham Putty

Do you want an email whenever new security vulnerabilities are reported in Simontatham Putty?

By the Year

In 2022 there have been 0 vulnerabilities in Simontatham Putty . Putty did not have any published security vulnerabilities last year.

Year Vulnerabilities Average Score
2022 0 0.00
2021 0 0.00
2020 0 0.00
2019 0 0.00
2018 0 0.00

It may take a day or so for new Putty vulnerabilities to show up in the stats or in the list of recent security vulnerabilties. Additionally vulnerabilities may be tagged under a different product or component name.

Recent Simontatham Putty Security Vulnerabilities

Integer overflow in PuTTY 0.62 and earlier, WinSCP before 5.1.6, and other products

CVE-2013-4852 - August 19, 2013

Integer overflow in PuTTY 0.62 and earlier, WinSCP before 5.1.6, and other products that use PuTTY allows remote SSH servers to cause a denial of service (crash) and possibly execute arbitrary code in certain applications that use PuTTY via a negative size value in an RSA key signature during the SSH handshake, which triggers a heap-based buffer overflow.

Numeric Errors

Buffer overflow in sshbn.c in PuTTY before 0.63 allows remote SSH servers to cause a denial of service (crash) via an invalid DSA signature

CVE-2013-4207 - August 19, 2013

Buffer overflow in sshbn.c in PuTTY before 0.63 allows remote SSH servers to cause a denial of service (crash) via an invalid DSA signature that is not properly handled during computation of a modular inverse and triggers the overflow during a division by zero by the bignum functionality, a different vulnerability than CVE-2013-4206.

Buffer Overflow

Heap-based buffer underflow in the modmul function in sshbn.c in PuTTY before 0.63

CVE-2013-4206 - August 19, 2013

Heap-based buffer underflow in the modmul function in sshbn.c in PuTTY before 0.63 allows remote SSH servers to cause a denial of service (crash) and possibly trigger memory corruption or code execution via a crafted DSA signature, which is not properly handled when performing certain bit-shifting operations during modular multiplication.

Buffer Overflow

Stay on top of Security Vulnerabilities

Want an email whenever new vulnerabilities are published for Putty or by Simontatham? Click the Watch button to subscribe.

Simontatham
Vendor

subscribe